package be.seeseemelk.llamascript;

import io.github.ollama4j.OllamaAPI;
import lombok.Setter;

@Setter
public class LLamaScriptFactory {
    private String host = "http://localhost:11434";
    private String model = "llama3.1:8b";

    public LlamaScript build() {
        return new LlamaScript(new OllamaAPI(host), model);
    }
}
